Bug 481206 - Connection shut-down hang on clustered brokers
Connection shut-down hang on clustered brokers
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Stitcher
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 14:15 EST by Ted Ross
Modified: 2015-11-15 20:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2009-01-22 14:15:45 EST
There is an intermittent hang on client-connection shutdown occurring between the Python client and clustered c++ brokers.  Presumably, this will happen with other clients as well.

This has never been seen on a stand-alone broker.

The trace shows the following:

    Client                       Server
      |                             |
      |-- conn.close -------------> |
      |                             |
      | <--------- conn.close-ok -- |
      |                             |

From this point forward, the client is waiting for the TCP connection to close.  The TCP connection remains in the ESTABLISHED state (via netstat -t).

The server sends a conn.close-ok but does not close the TCP socket.

This is intermittent.  On a continuous run, it will run correctly for dozens of times before causing a hang.
Comment 1 Ted Ross 2009-01-22 14:19:29 EST
The Python client has been fixed as of rev 736742 to close the socket on receipt of a close-ok.  This fixes the shutdown hang but there may still be an issue on the broker side.
Comment 2 Justin Ross 2012-11-06 14:21:37 EST
Ted, this one's quite old.  Does it describe still existing problem?
Comment 3 Ted Ross 2012-11-08 13:07:47 EST
I assume not since there hasn't been an update since early 2009.

Note You need to log in before you can comment on or make changes to this bug.